Subject: Re: EMAIL attribute in x500 name

From: "Tom Gindin" <[email-masked]>
Date: Fri, 10 May 2002 11:28:53 -0400

Markus:

      There are two, not one, major attributes of this type.  You found
EmailAddr { 1 2 840 113549 1 9 1} defined by PKCS#9, apparently.  There is
also Mail or rfc822Mailbox, defined by RFC 1274 { 0 9 2342 19200300 100 1 3
} .  They have essentially similar meanings, although different OID's.

            Tom Gindin

"Markus Lorch" <[email-masked]>@mail.imc.org on 05/10/2002 09:36:42 AM

Sent by:    [email-masked]

To:    <[email-masked]>
cc:
Subject:    EMAIL attribute in x500 name

I ran accross the question if the attribute /EMAIL= in an X.500
name (issuer or subject in a X.509v3 cert) is standardized or at
least what OID is assigned to it.

I can only find the attribute /EMAILADDR which apprears to have an
RSA security OID. The /EMAIL attribute is often found in x.509
certificates from "openCA" CA's. However, it is not supported by
Sun's java implementation of an X.500 name.

I have been pointed to use the /EMAILADDR attribute - however
from rfc2459 it appears that this attribute should no longer
be used (it mentions it is deprecated).

It would be great if somebody has a pointer for me

Thanks

Markus
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Markus Lorch
Doctoral Student in Computer Science
Virginia Tech
http://csgrad.cs.vt.edu/~mlorch

---

From: Steve Hanna <[email-masked]>
Date: Fri, 10 May 2002 14:32:40 -0400

While we are clarifying things, I will clarify that Sun's
Java implementation of an X.500 name (and any compliant
implementation of Java 2 Standard Edition 1.4) can handle
either of these attributes.

Note that there is no standard keyword for these OIDs.
Some people use "E=", some use "EMAIL=", etc. RFC 1779,
RFC 2253, and draft-ietf-ldapbis-dn-07.txt all say that
when representing an X.500 name as a string, you should
use the dotted decimal syntax for these OIDs, since there
is no standard keyword. That's what we do.

Thanks,

Steve Hanna